Bug 537043 - At network installation fedora 12 (beta) it is impossible to assign static ip-address
Summary: At network installation fedora 12 (beta) it is impossible to assign static ip...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-12 10:09 UTC by Alex
Modified: 2011-01-24 16:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-24 16:59:58 UTC
Type: ---


Attachments (Terms of Use)
Begin network installation fedora 12 (beta) (1.67 MB, image/jpeg)
2009-11-12 10:09 UTC, Alex
no flags Details
net-1 (1.65 MB, image/jpeg)
2009-11-12 10:11 UTC, Alex
no flags Details
net-2 (1.90 MB, image/jpeg)
2009-11-12 10:12 UTC, Alex
no flags Details
net-3 (1.81 MB, image/jpeg)
2009-11-12 10:14 UTC, Alex
no flags Details
net-4 (1.85 MB, image/jpeg)
2009-11-12 10:15 UTC, Alex
no flags Details
net-5 (1.69 MB, image/jpeg)
2009-11-12 10:16 UTC, Alex
no flags Details
net-6 (1.59 MB, image/jpeg)
2009-11-12 10:18 UTC, Alex
no flags Details

Description Alex 2009-11-12 10:09:56 UTC
Created attachment 369168 [details]
Begin network installation fedora 12 (beta)

Description of problem:
At network installation fedora 12 (beta) on the computer using PXE it is impossible to assign static ip-address. Ip-address reception only through DHCP is possible. And, if originally to select an option "Manual configuration" after error reception to use an option "Dynamic IP - configurationm (DHCP)" it is impossible - it is necessary to reboot the computer.


Version-Release number of selected component (if applicable):
1. Install DVD Fedora 12 (beta) for reception initrd.img, vmlinuz (from a directory .../images/pxeboot)
2. syslinux-3.75-4.fc12.i686.rpm (Fedora Development for i386) for reception pxelinux.0

How reproducible:


Steps to Reproduce:
1. Begin network installation fedora 12 (beta) (see photo-1.JPG)
2. From customisations TCP/IP it is selected "Manual configuration" (see net-1.JPG)
3. Install parametres 192.168.1.26/24, the gateway - 192.168.1.254 (see net-2.JPG) press "Ok" (see net-3.JPG)
4. Switch Alt-F4 (see net-4.JPG)
5. Switch Alt-F1 (see net-5.JPG) - ERROR!
6. Switch Alt-F3 (see net-6.JPG)
  
Actual results:
It is impossible to continue OS installation further

Expected results:


Additional info:
DCHP- anf TFTP-servers work on computer:
1) OS - Fedora 7
2) Files for loading are on the patch:
/tftpboot/linux/f12/i386
3) List files:
initrd.img  pxelinux.0  vmlinuz
4) List /tftpboot/linux/f12/i386/pxelinux.cfg:
default
5) cat /tftpboot/linux/f12/i386/pxelinux.cfg/default
DEFAULT pxeboot
TIMEOUT 50
LABEL pxeboot
      KERNEL vmlinuz
      APPEND initrd=initrd.img
ONERROR LOCALBOOT 0

Comment 1 Alex 2009-11-12 10:11:32 UTC
Created attachment 369169 [details]
net-1

Comment 2 Alex 2009-11-12 10:12:58 UTC
Created attachment 369171 [details]
net-2

Comment 3 Alex 2009-11-12 10:14:11 UTC
Created attachment 369172 [details]
net-3

Comment 4 Alex 2009-11-12 10:15:30 UTC
Created attachment 369173 [details]
net-4

Comment 5 Alex 2009-11-12 10:16:42 UTC
Created attachment 369174 [details]
net-5

Comment 6 Alex 2009-11-12 10:18:07 UTC
Created attachment 369175 [details]
net-6

Comment 7 Radek Vykydal 2009-11-12 12:44:38 UTC
Alex, in bug #537067 you got past "Manual configuration" step. Can you describe what did you do to success?

Comment 8 Alex 2009-11-12 13:25:05 UTC
No, I have not solved a problem.
It is my small error. Certainly, it is necessary to select "Dynamic IP - configurationm (DHCP)"
On a screenshot to this item so all also is shown.

Comment 9 Bug Zapper 2010-11-04 06:30:07 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Radek Vykydal 2011-01-24 16:59:58 UTC
Static ipv4 network configuration should work in Fedora 14. If you still hit the problem in the release, feel free to reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.